Bug 101001 - The folder & category trees no longer automatically expand the active node
The folder & category trees no longer automatically expand the active node
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-28 10:07 EDT by Daniel Berrange
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:41:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-07-28 10:07:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The folder & category tree widgets in the content section admin UI are not
automatically expanding the currently active nodes. This is a usability problem
because it essentially doubles the number of clicks to navigate down the folder
heirarchy using the tree widgets. It should exhibit the following behaviour:

 * If there is no current state for the tree node expansion, then
   all nodes between the root & the current node should be expanded

 * When selecting a subfolder, it should automatically expand the
   node in the tree. 

 * Selecting a subfolder occurrs when either the label link in the
   tree is clicked, or the folder is clicked in the right hand
   folder item list.

 * The user should be able to explicitly close or open any node, by
   clicking the + / - link, without causing that node to be selected.


The same rules should apply to the category tree. With the exception of the very
last, this is the behaviour exhibited prior to Troika code 'cleanup'.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a number of subfolders immediately below the root
2. Go out to the content center
3. Go into the content section


Actual Results:  The root folder is not expanded.


Expected Results:  The root folder is expanded, showing 1st level folders.

Likewise for the category tree.

Additional info:
Comment 1 Richard Li 2003-08-01 10:40:16 EDT
this isn't happening b/c of a bebop bug exposed due to ui cleanup
Comment 2 David Lawrence 2006-07-17 22:57:04 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 3 Daniel Berrange 2006-09-02 13:41:20 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.